Last modified: 2013-10-29 07:39:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 50790 - Not remembering IME selection for logged-in users
Not remembering IME selection for logged-in users
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Amir E. Aharoni
:
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2013-07-05 06:42 UTC by vssun
Modified: 2013-10-29 07:39 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description vssun 2013-07-05 06:42:16 UTC
One of the very few advantage of ULS IME over the earlier Narayam was its capability of remembering selected IME method. This is not working recently. I think probably after fixing bug 49515.

Now even in the same session, it is required to select the desired IME type many times.

(Note: I am using Inscript2 IME method provided with ULS. But ULS always starts with "Transliteration")
Comment 1 Siebrand Mazeland 2013-07-05 07:16:45 UTC
Would it be possible to create a numbered steps to reliably reproduce the mentioned observation, and could you add your browser version and operating system?
Comment 2 vssun 2013-07-05 07:31:55 UTC
I am using Firefox 22 with Windows 7 and Ubuntu 12.04. I am experiencing this problem with both cases.
Comment 3 Santhosh Thottingal 2013-07-05 07:33:53 UTC
Steps to reproduce:
1. Select language as Malayalam
2. Select input method as Inscript 2
3. Disable input method(press control+m)
4. navigate to another page.
5. Move focus to an editable field - Input method is disabled(expected)
6. Press control+m, Inscript 2 is expected but default input method is coming.

Patch at Upstream https://github.com/wikimedia/jquery.ime/commit/1f34024f194f704de0b2d666f390401912ed7c63
Comment 4 Siebrand Mazeland 2013-07-05 08:17:45 UTC
Thanks, Santhosh. I think this scenario needs an integration test. Air, can you take care of that?
Comment 5 Gerrit Notification Bot 2013-07-05 14:25:40 UTC
Change 72093 had a related patch set uploaded by Santhosh:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/72093
Comment 6 Gerrit Notification Bot 2013-07-07 15:50:43 UTC
Change 72093 merged by jenkins-bot:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/72093
Comment 7 Gerrit Notification Bot 2013-07-07 16:56:07 UTC
Change 72365 had a related patch set uploaded by Amire80:
WIP: Trying to write a test for bug 50790

https://gerrit.wikimedia.org/r/72365
Comment 8 Gerrit Notification Bot 2013-07-07 16:59:27 UTC
Change 72365 had a related patch set uploaded by Amire80:
WIP: Trying to write a test for bug 50790

https://gerrit.wikimedia.org/r/72365
Comment 9 Santhosh Thottingal 2013-07-17 09:29:17 UTC
The bug was fixed. Amir is trying to add automated test case for this. So assigning to him.
Comment 10 Amir E. Aharoni 2013-07-18 13:08:45 UTC
The latest patchset at https://gerrit.wikimedia.org/r/#/c/72365/ seems to work for me.
Comment 11 Gerrit Notification Bot 2013-07-22 12:27:40 UTC
Change 72365 merged by Zfilipin:
A test for bug 50790

https://gerrit.wikimedia.org/r/72365
Comment 12 Amir E. Aharoni 2013-07-22 12:30:45 UTC
The test is merged.
Comment 13 vssun 2013-07-22 15:58:16 UTC
Thank you

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links